## ros-kinetic-adi-driver 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(adi_driver)

find_package(catkin REQUIRED COMPONENTS roscpp sensor_msgs std_srvs roslint)

catkin_package(INCLUDE_DIRS include CATKIN_DEPENDS roscpp sensor_msgs std_srvs)

include_directories(include ${catkin_INCLUDE_DIRS})

add_executable(adis16470_node src/adis16470_node.cpp src/adis16470.cpp)
target_link_libraries(adis16470_node ${catkin_LIBRARIES})

add_executable(adxl345_node src/adxl345_node.cpp src/adxl345.cpp)
target_link_libraries(adxl345_node ${catkin_LIBRARIES})

install(TARGETS adis16470_node adxl345_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  )

install(DIRECTORY launch test urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  )

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest roslaunch)
  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    message(STATUS "Testing ${LAUNCH_FILE}")
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()
  roslaunch_add_file_check(launch/adis16470.launch with_rviz:=true with_plot:=true publish_temperature:=true)
endif()

roslint_cpp()

# debbuild
# catkin build minas_control --make-args debbuild
# ROS_PARALLEL_JOBS='' catkin_make --pkg ${PROJECT_NAME} -- debbuild
add_custom_target(debbuild_${PROJECT_NAME}
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
  COMMAND bloom-generate rosdebian --os-name ubuntu --os-version xenial --ros-distro kinetic
  COMMAND fakeroot debian/rules binary
  COMMAND find debian obj-x86_64-linux-gnu -type f -not -name postinst -print0 | xargs -0 rm --
  COMMAND find debian obj-x86_64-linux-gnu -type d -empty -delete
)

# make docs
# ROS_PARALLEL_JOBS='' catkin_make --pkg adi_driver -- docbuild_adi_driver
add_custom_target(docbuild_${PROJECT_NAME}
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
  COMMAND cmake -E remove_directory output
  COMMAND cmake -E make_directory output
  COMMAND sphinx-build -b latex doc output
  COMMAND cd output \\; ls *.png | xargs extractbb
  COMMAND sed -i 's@\\\\setcounter{tocdepth}{0}@@' output/${PROJECT_NAME}.tex
  ## change layout, chapter to section, section to subsection
  COMMAND sed -i 's@\\\\chapter{[0-9. ]*@\\\\chapter{@' output/${PROJECT_NAME}.tex
  COMMAND sed -i 's@\\\\section{[0-9. ]*@\\\\section{@' output/${PROJECT_NAME}.tex
  COMMAND sed -i 's@\\\\subsection@\\\\subsubsection@' output/${PROJECT_NAME}.tex
  COMMAND sed -i 's@\\\\section@\\\\subsection@' output/${PROJECT_NAME}.tex
  COMMAND sed -i 's@\\\\chapter@\\\\section@' output/${PROJECT_NAME}.tex
  COMMAND sed -i 's@\\\\tableofcontents@\\\\setcounter{chapter}{1}\\\\tableofcontents@' output/${PROJECT_NAME}.tex
  COMMAND make -C output
  COMMAND cmake -E copy output/${PROJECT_NAME}.pdf output/${PROJECT_NAME}-${${PROJECT_NAME}_VERSION}.pdf
)

=== debian/changelog ===
ros-kinetic-adi-driver (1.0.3-0xenial) xenial; urgency=high

  * Change to depend on imu_tools(#19 <https://github.com/tork-a/adi_driver/issues/19>)
    - Depend on imu_filter_madgwick and rviz_imu_plugin
  * Add bias estimation service document(#20 <https://github.com/tork-a/adi_driver/issues/20>)
    - Update README.md
    - Fix incorrect sentence.
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sun, 11 Nov 2018 15:00:00 -0000

ros-kinetic-adi-driver (1.0.2-0xenial) xenial; urgency=high

  * Add bias estimation service(#13 <https://github.com/tork-a/adi_driver/issues/13>)
    - Add function for bias estimation
    - Add bias estimation time function
    - Remove unnecessary depens on imu_tools
  * Add temperature topic(#17 <https://github.com/tork-a/adi_driver/issues/17>)
    - Add topic description to README.md
    - Add mutex lock for data queues in the test script
    - Add test for temperature publishing
  * Add circleci badge(#18 <https://github.com/tork-a/adi_driver/issues/18>)
  * Adaptation for Circleci 2.0(#16 <https://github.com/tork-a/adi_driver/issues/16>)
    - Add circleci v2.0 config file
  * Contributors: Kazuki Takao, Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 16 Aug 2018 15:00:00 -0000

ros-kinetic-adi-driver (1.0.1-0xenial) xenial; urgency=high

  * fix deb path (#8 <https://github.com/tork-a/adi_driver/issues/8>)
  * workaround for run_tests on installed space (#7 <https://github.com/tork-a/adi_driver/issues/7>)
    * enable deb build
    * add rosdoc.yaml
    * add .github_release.sh
    * Change photo of the sensor
    * Add author to package.xml (#5 <https://github.com/tork-a/adi_driver/issues/5>)
    * Add urdf to install (#5 <https://github.com/tork-a/adi_driver/issues/5>)
    * add roslaunch-check with_rviz:=true with_plot:=true
    * install test directory
    * workaround for run_tests on installed space
  * Add adxl345 descrption into README.md (#4 <https://github.com/tork-a/adi_driver/issues/4>)
  * Contributors: Ryosuke Tajima, Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 01 Feb 2018 15:00:00 -0000

ros-kinetic-adi-driver (1.0.0-0xenial) xenial; urgency=high

  * note that you need to restart after addgroup (#3 <https://github.com/tork-a/adi_driver/issues/3>)
  * Add publish_tf argument for launch file
  * Change to load model only if use rviz
  * Update index.rst
  * Fix schematics, add documents
    - Schematics of ADIS16470 cable was wrong
    - Add ADXL345 cable schematics
  * Add docbuild (#2 <https://github.com/tork-a/adi_driver/issues/2>)
    * add circle.yml
    * add docbuild command to CMakeLists.txt
    * Update index.rst contents
    * Put travis badge.
  * Contributors: Ryosuke Tajima, Tokyo Opensource Robotics Developer 534, Y. Suzuki

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 20 Jan 2018 15:00:00 -0000

ros-kinetic-adi-driver (0.0.1-0xenial) xenial; urgency=high

  * Add doc/index.rst
  * Fix build errors
  * Remove all error of roslint
  * Add roslint settings
  * Adjust header inclusion
  * Add loop rate parameter
  * Refactor adis16470 code
  * Add and change copyrights
  * Change copyright representation
  * Change test more practical
  * add .travis.yml (#1 <https://github.com/7675t/adi_driver/issues/1>)
  * add xacro to pakcage.xml
  * add rviz, imu_filter_madgwick to pakcage.xml
  * fix layout in package.xml
  * add rqt_plot to package.xml
  * add .travis.yml, using generate_prerelease_script.py
  * Contributors: Ryosuke Tajima, Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Wed, 13 Dec 2017 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-adi-driver
Section: misc
Priority: extra
Maintainer: Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-roslint, ros-kinetic-rostest, ros-kinetic-sensor-msgs, ros-kinetic-std-srvs
Homepage: http://wiki.ros.org/adi_driver
Standards-Version: 3.9.2

Package: ros-kinetic-adi-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-imu-filter-madgwick, ros-kinetic-roscpp, ros-kinetic-rqt-plot, ros-kinetic-rviz, ros-kinetic-rviz-imu-plugin, ros-kinetic-sensor-msgs, ros-kinetic-std-srvs, ros-kinetic-xacro
Description: The adi_driver package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-adi-driver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
